update vit
set vit.[Value] =
	COALESCE(TRY_CAST(case 
		when try_cast(replace(vit.[Value],',','.') as float) is null
	     then '0'
	     else try_cast(replace(vit.[Value],',','.') as float)
	end AS decimal(10, 2)),0)
from akuz.t_cda_vitalparam_child vit

ALTER TABLE [AKUZ].[T_CDA_VITALPARAM_CHILD] ALTER COLUMN [Value] decimal(10, 2) NOT NULL
GO
